Last Comment Bug 672543 - Don't set accessibility.browsewithcaret pref when selecting text in Fennec
: Don't set accessibility.browsewithcaret pref when selecting text in Fennec
Status: VERIFIED FIXED
: verified-aurora
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 7
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on: 661388
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-19 10:15 PDT by Matt Brubeck (:mbrubeck)
Modified: 2011-07-27 06:27 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.64 KB, patch)
2011-07-19 10:15 PDT, Matt Brubeck (:mbrubeck)
mark.finkle: review+
mark.finkle: approval‑mozilla‑aurora+
Details | Diff | Review

Description Matt Brubeck (:mbrubeck) 2011-07-19 10:15:26 PDT
Created attachment 546818 [details] [diff] [review]
patch

It turns out that browsewithcaret is not needed for selecting text with the mouse.  We can just remove this code.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-07-19 10:18:41 PDT
Comment on attachment 546818 [details] [diff] [review]
patch

Yay!
Comment 2 Matt Brubeck (:mbrubeck) 2011-07-19 10:32:00 PDT
http://hg.mozilla.org/mozilla-central/rev/0e48b4287ff2
Comment 3 Matt Brubeck (:mbrubeck) 2011-07-19 10:35:13 PDT
Comment on attachment 546818 [details] [diff] [review]
patch

Requesting approval-mozilla-aurora.  This fixes issues like bug 671052 that were introduced in Firefox 7 by bug 661388.  The patch is mobile-only and low-risk (it just removes 2 lines of code that turn out to be unnecessary and sometimes harmful).
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-07-19 10:36:49 PDT
Comment on attachment 546818 [details] [diff] [review]
patch

agreed. mobile-only and low risk.
Comment 5 Matt Brubeck (:mbrubeck) 2011-07-20 07:14:19 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/3a5e636515e5
Comment 6 Aaron Train [:aaronmt] 2011-07-27 06:27:19 PDT
Verified Fixed
Mozilla/5.0 (Android; Linux armv7l; rv:7.0a2) Gecko/20110727 Firefox/7.0a2 Fennec/7.0a2

Note You need to log in before you can comment on or make changes to this bug.